import LifecycleUnit from '../../lib/src/lifecycle/Unit.ts'
import {CLIService} from './service/CLI.service.ts'
import {Unit} from '../../lib/src/lifecycle/decorators.ts'
import {Logging} from '../../lib/src/service/logging/Logging.ts'

@Unit()
export default class CLIAppUnit extends LifecycleUnit {
    constructor(
        protected readonly cli: CLIService,
        protected readonly logger: Logging,
    ) { super() }

    public async up() {
        this.logger.verbose(`Handling CLI invocation...`)
        const args = Deno.args
        console.log('args', {args})
    }
}
