import { DependencyKey } from './DependencyKey.ts'

/**
 * Interface used to store dependency requirements by their place in the injectable
 * target's constructor parameters.
 */
interface DependencyRequirement {
    param_index: number,
    key: DependencyKey,
    overridden: boolean,
}

export { DependencyRequirement }
