import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which builds INNER JOIN clauses.
 * @extends Join
 */
export class InnerJoin extends Join {
    public readonly operator: JoinOperator = 'INNER JOIN'
}
